#### [Abblix\.Oidc\.Server](https://www.abblix.com/en/docs/api/abblix-oidc-server 'index')
### [Abblix\.Oidc\.Server\.Model](https://www.abblix.com/en/docs/api/abblix-oidc-server/Abblix.Oidc.Server.Model 'Abblix\.Oidc\.Server\.Model').[RevocationRequest](https://www.abblix.com/en/docs/api/abblix-oidc-server/Abblix.Oidc.Server.Model.RevocationRequest 'Abblix\.Oidc\.Server\.Model\.RevocationRequest')

## RevocationRequest\.Parameters Class

Wire\-level parameter names accepted at the OAuth 2\.0 revocation endpoint \(RFC 7009 §2\.1\)\.

```csharp
public static class RevocationRequest.Parameters
```

Inheritance [System\.Object](https://learn.microsoft.com/en-us/dotnet/api/system.object 'System\.Object') → Parameters
### Fields

## RevocationRequest\.Parameters\.Token Field {#Abblix.Oidc.Server.Model.RevocationRequest.Parameters.Token}

The `token` revocation request parameter carrying the access or refresh token
            to be revoked\.

```csharp
public const string Token = "token";
```

#### Field Value
[System\.String](https://learn.microsoft.com/en-us/dotnet/api/system.string 'System\.String')

## RevocationRequest\.Parameters\.TokenTypeHint Field {#Abblix.Oidc.Server.Model.RevocationRequest.Parameters.TokenTypeHint}

The `token_type_hint` revocation request parameter advising whether the token is
            an `access_token` or a `refresh_token`\.

```csharp
public const string TokenTypeHint = "token_type_hint";
```

#### Field Value
[System\.String](https://learn.microsoft.com/en-us/dotnet/api/system.string 'System\.String')
